
Redmine - Defect #2566

regular "An internal server error occurred. Please try again later." error

2009-01-23 06:43 - Thomas D

Status: Closed Start date: 2009-01-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

This error happens systematically after a day of running.

This is on CentOS 5, in a virtual environment (OpenVZ).

I start Redmine with the following command: "ruby script/server -e production -p 80 -d -u"

After a day, it will reply with the above error message, even if the server is totally unused. Memory is not the culprit and the various

system logs do not reflect any problem.

The production log file shows the last access that worked and nothing else.

This is 100% reproducible. Let me know what data I can provide.

History

#1 - 2009-01-23 18:45 - Jean-Philippe Lang

This error message: "An internal server error occurred. Please try again later." is not a Redmine error message.

Do you have any reverse proxy in front of it?

#2 - 2009-01-23 19:38 - Thomas D

yes, I have; I should have thought of that...

I tried to connect directly to the server, on the host, and it simply does not reply

#3 - 2009-01-24 10:22 - Jean-Philippe Lang

let me know what data I can provide

 Maybe you can start with what is mentioned in SubmittingBugs.

Honestly, this problem can come from many things, like a broken connection to the database (see 

http://wooga.drbacchus.com/rails-and-mysql-timeouts).

#4 - 2009-03-07 13:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Reopen if needed.
